diff -u auctex-11.83/debian/changelog auctex-11.83/debian/changelog
--- auctex-11.83/debian/changelog
+++ auctex-11.83/debian/changelog
@@ -1,3 +1,10 @@
+auctex (11.83-7.4) UNRELEASED; urgency=low
+
+  * Non-maintainer upload
+  * Add support for emacs23 (Closes: #539749)
+
+ -- Stephane Glondu <steph@glondu.net>  Tue, 04 Aug 2009 09:27:15 +0200
+
 auctex (11.83-7.3) unstable; urgency=high
 
   * Non-maintainer upload
diff -u auctex-11.83/debian/rules.in auctex-11.83/debian/rules.in
--- auctex-11.83/debian/rules.in
+++ auctex-11.83/debian/rules.in
@@ -174,6 +174,7 @@
 <:# install Debian system files :>//
 	$(INSTDIR) $(auctex)/<:$_=${sstartd}; s|emacs|emacs21|; print:> \
 		$(auctex)/<:$_=${sstartd}; s|emacs|emacs22|; print:> \
+		$(auctex)/<:$_=${sstartd}; s|emacs|emacs23|; print:> \
 		$(auctex)/<:$_=${sstartd}; s|emacs|emacs-snapshot|; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
@@ -183,6 +184,9 @@
 		s|emacs|emacs22|; $_=~tr|/|/|s; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+		s|emacs|emacs23|; $_=~tr|/|/|s; print:>
+	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
+		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 		s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
 	$(INSTDIR) $(auctex)/<:=${cron_weekly}:>
 	$(INSTSCRIPT) debian/<:=${PACKAGE}:>/cron \
diff -u auctex-11.83/debian/rules auctex-11.83/debian/rules
--- auctex-11.83/debian/rules
+++ auctex-11.83/debian/rules
@@ -181,12 +181,15 @@
 
 	$(INSTDIR) $(auctex)//etc/emacs21/site-start.d/ \
 		$(auctex)//etc/emacs22/site-start.d/ \
+		$(auctex)//etc/emacs23/site-start.d/ \
 		$(auctex)//etc/emacs-snapshot/site-start.d/
 	$(INSTDATA) debian/auctex/lisp-startup.el \
 		$(auctex)//etc/emacs21/site-start.d/50auctex.el
 	$(INSTDATA) debian/auctex/lisp-startup.el \
 		$(auctex)//etc/emacs22/site-start.d/50auctex.el
 	$(INSTDATA) debian/auctex/lisp-startup.el \
+		$(auctex)//etc/emacs23/site-start.d/50auctex.el
+	$(INSTDATA) debian/auctex/lisp-startup.el \
 		$(auctex)//etc/emacs-snapshot/site-start.d/50auctex.el
 	$(INSTDIR) $(auctex)//etc/cron.weekly/
 	$(INSTSCRIPT) debian/auctex/cron \
diff -u auctex-11.83/debian/control auctex-11.83/debian/control
--- auctex-11.83/debian/control
+++ auctex-11.83/debian/control
@@ -4,12 +4,12 @@
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.7.2
-Build-Depends-Indep: emacs22 | emacs21 | emacs-snapshot, eperl, ghostscript, po-debconf, texlive-latex-base, texinfo, texi2html (>=1.76)
+Build-Depends-Indep: emacs23 | emacs22 | emacs21 | emacs-snapshot, eperl, ghostscript, po-debconf, texlive-latex-base, texinfo, texi2html (>=1.76)
 Homepage: http://www.gnu.org/software/auctex/
 
 Package: auctex
 Architecture: all
-Depends: debconf | debconf-2.0, emacs22 | emacs21 | emacs-snapshot, make, preview-latex-style
+Depends: debconf | debconf-2.0, emacs23 | emacs22 | emacs21 | emacs-snapshot, make, preview-latex-style
 Recommends: doc-base, ghostscript, texlive-latex-recommended, xpdf-reader | pdf-viewer
 Suggests: catdvi, dvipng, lacheck
 Conflicts: emacspeak (<= 17.0-1), preview-latex
diff -u auctex-11.83/debian/auctex/update-auctex-install.in auctex-11.83/debian/auctex/update-auctex-install.in
--- auctex-11.83/debian/auctex/update-auctex-install.in
+++ auctex-11.83/debian/auctex/update-auctex-install.in
@@ -13,7 +13,7 @@
 db_version 2.0
 
 <:# Default flavors: only GNU, XEmacs comes with its own AUCTeX.:>//
-FLAVORS=${*:-"emacs21 emacs22 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs22 emacs23 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -u auctex-11.83/debian/auctex/conffiles.in auctex-11.83/debian/auctex/conffiles.in
--- auctex-11.83/debian/auctex/conffiles.in
+++ auctex-11.83/debian/auctex/conffiles.in
@@ -4,6 +4,8 @@
 <:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 	s|emacs|emacs22|; $_=~tr|/|/|s; print:>
 <:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+	s|emacs|emacs23|; $_=~tr|/|/|s; print:>
+<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 	s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
 <:=if($_="${cron_weekly}/${PACKAGE}")=~tr|/|/|s:>
 <:
diff -u auctex-11.83/debian/auctex/bug.script.in auctex-11.83/debian/auctex/bug.script.in
--- auctex-11.83/debian/auctex/bug.script.in
+++ auctex-11.83/debian/auctex/bug.script.in
@@ -30,7 +30,7 @@
 EOF
 
 <:# Default flavors: only GNU/Emacsen, XEmacs comes with its own AUCTeX.:>//
-FLAVORS=${*:-"emacs21 emacs22 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs22 emacs23 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -u auctex-11.83/debian/auctex/update-auctex-elisp.in auctex-11.83/debian/auctex/update-auctex-elisp.in
--- auctex-11.83/debian/auctex/update-auctex-elisp.in
+++ auctex-11.83/debian/auctex/update-auctex-elisp.in
@@ -9,7 +9,7 @@
 set -o posix
 
 <:# Default flavors: only GNU, XEmacs comes with its own AUCTeX. :>//
-FLAVORS=${*:-"emacs21 emacs22 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs22 emacs23 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -u auctex-11.83/debian/auctex/remove.in auctex-11.83/debian/auctex/remove.in
--- auctex-11.83/debian/auctex/remove.in
+++ auctex-11.83/debian/auctex/remove.in
@@ -36,7 +36,7 @@
 
 case "${FLAVOR}" in
     emacs) :;;
-    emacs2[12]|emacs-snapshot)
+    emacs2[123]|emacs-snapshot)
 	<:# remove all parsed information files :>//
 	undo_auto
 	undo_install;;
diff -u auctex-11.83/debian/auctex/install.in auctex-11.83/debian/auctex/install.in
--- auctex-11.83/debian/auctex/install.in
+++ auctex-11.83/debian/auctex/install.in
@@ -104,7 +104,7 @@
 
 case "${FLAVOR}" in
     emacs) :;;
-    emacs2[12]|emacs-snapshot)
+    emacs2[123]|emacs-snapshot)
 	<:# clean old cruft :>//
 	do_clean_old_cruft ${FLAVOR}
 	do_install ${FLAVOR}
